evas::box Struct Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
evas::box Struct Reference

Class box. More...

## Public Member Functions
| box (Eo *eo)
| Eo Constructor. More...
| box (std::nullptr_t)
| nullptr_t Constructor. More...
| box (box const &other)
| Copy Constructor.
void | layout_horizontal (Evas_Object_Box_Data *priv_, void *data_) const
| Layout function which sets the box o to a (basic) horizontal box. More...
void | layout_vertical (Evas_Object_Box_Data *priv_, void *data_) const
| Layout function which sets the box o to a (basic) vertical box. More...
void | layout_homogeneous_max_size_horizontal (Evas_Object_Box_Data *priv_, void *data_) const
| Layout function which sets the box o to a maximum size, homogeneous horizontal box. More...
::evas::object | internal_remove (::evas::object child_) const
| No description supplied by the EAPI. More...
void | layout_flow_vertical (Evas_Object_Box_Data *priv_, void *data_) const
| Layout function which sets the box o to a flow vertical box. More...
void | internal_option_free (Evas_Object_Box_Option *opt_) const
| No description supplied by the EAPI. More...
Evas_Object_Box_Option * | insert_after (::evas::object child_, const Evas_Object *reference_) const
| Insert a new child object after another existing one, in a given box object o. More...
bool | remove_all (bool clear_) const
| Remove all child objects from a box object, unparenting them again. More...
Eina_Iterator * | iterator_new () const
| Get an iterator to walk the list of children of a given box object. More...
::evas::object | add_to () const
| Add a new box as a child of a given smart object. More...
Evas_Object_Box_Option * | append (::evas::object child_) const
| Append a new child object to the given box object o. More...
int | option_property_id_get (::efl::eina::string_view name_) const
| Get the numerical identifier of the property of the child elements of the box o which have name as name string. More...
Evas_Object_Box_Option * | prepend (::evas::object child_) const
| Prepend a new child object to the given box object o. More...
Eina_Accessor * | accessor_new () const
| Get an accessor (a structure providing random items access) to the list of children of a given box object. More...
Evas_Object_Box_Option * | internal_append (::evas::object child_) const
| No description supplied by the EAPI. More...
bool | option_property_vset (Evas_Object_Box_Option *opt_, int property_, va_list *args_) const
| Set a property value (by its given numerical identifier), on a given box child element – by a variable argument list. More...
::evas::object | internal_remove_at (unsigned int pos_) const
| No description supplied by the EAPI. More...
bool | remove_at (unsigned int pos_) const
| Remove an object, bound to a given position in a box object, unparenting it again. More...
bool | option_property_vget (Evas_Object_Box_Option *opt_, int property_, va_list *args_) const
| Get a property's value (by its given numerical identifier), on a given box child element – by a variable argument list. More...
Evas_Object_Box_Option * | internal_insert_at (::evas::object child_, unsigned int pos_) const
| No description supplied by the EAPI. More...
Evas_Object_Box_Option * | insert_before (::evas::object child_, const Evas_Object *reference_) const
| Insert a new child object before another existing one, in a given box object o. More...
::efl::eina::string_view | option_property_name_get (int property_) const
| Get the name of the property of the child elements of the box o which have id as identifier. More...
Evas_Object_Box_Option * | internal_insert_before (::evas::object child_, const Evas_Object *reference_) const
| No description supplied by the EAPI. More...
void | layout_homogeneous_horizontal (Evas_Object_Box_Data *priv_, void *data_) const
| Layout function which sets the box o to a homogeneous horizontal box. More...
Evas_Object_Box_Option * | internal_option_new (::evas::object child_) const
| No description supplied by the EAPI. More...
void | layout_homogeneous_max_size_vertical (Evas_Object_Box_Data *priv_, void *data_) const
| Layout function which sets the box o to a maximum size, homogeneous vertical box. More...
Evas_Object_Box_Option * | internal_insert_after (::evas::object child_, const Evas_Object *reference_) const
| No description supplied by the EAPI. More...
Evas_Object_Box_Option * | insert_at (::evas::object child_, unsigned int pos_) const
| Insert a new child object at a given position, in a given box object o. More...
Evas_Object_Box_Option * | internal_prepend (::evas::object child_) const
| No description supplied by the EAPI. More...
bool | remove (::evas::object child_) const
| Remove a given object from a box object, unparenting it again. More...
void | layout_stack (Evas_Object_Box_Data *priv_, void *data_) const
| Layout function which sets the box o to a stacking box. More...
void | layout_homogeneous_vertical (Evas_Object_Box_Data *priv_, void *data_) const
| Layout function which sets the box o to a homogeneous vertical box. More...
void | layout_flow_horizontal (Evas_Object_Box_Data *priv_, void *data_) const
| Layout function which sets the box o to a flow horizontal box. More...
void | align_get (double *horizontal_, double *vertical_) const
| Get the alignment of the whole bounding box of contents, for a given box object. More...
void | align_set (double horizontal_, double vertical_) const
| Set the alignment of the whole bounding box of contents, for a given box object. More...
void | padding_get (Evas_Coord *horizontal_, Evas_Coord *vertical_) const
| Get the (space) padding between cells set for a given box object. More...
void | padding_set (Evas_Coord horizontal_, Evas_Coord vertical_) const
| Set the (space) padding between cells set for a given box object. More...
void | layout_set (Evas_Object_Box_Layout cb_, const void *data_, Eina_Free_Cb free_data_) const
| Set a new layouting function to a given box object. More...
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was added.
template<typename T >
void | callback_callback_add_call (T *info)
| A callback was added.
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was deleted.
template<typename T >
void | callback_callback_del_call (T *info)
| A callback was deleted.
template<typename F >
::efl::eo::signal_connection | callback_changed_size_hints_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Size hints changed event.
template<typename T >
void | callback_changed_size_hints_call (T *info)
| Size hints changed event.
template<typename F >
::efl::eo::signal_connection | callback_child_added_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_child_added_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_child_removed_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_child_removed_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_focus_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus In Event.
template<typename T >
void | callback_focus_in_call (T *info)
| Focus In Event.
template<typename F >
::efl::eo::signal_connection | callback_focus_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus Out Event.
template<typename T >
void | callback_focus_out_call (T *info)
| Focus Out Event.
template<typename F >
::efl::eo::signal_connection | callback_free_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Object Being Freed (Called after Del)
template<typename T >
void | callback_free_call (T *info)
| Object Being Freed (Called after Del)
template<typename F >
::efl::eo::signal_connection | callback_hide_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Hide Event.
template<typename T >
void | callback_hide_call (T *info)
| Hide Event.
template<typename F >
::efl::eo::signal_connection | callback_hold_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Events go on/off hold.
template<typename T >
void | callback_hold_call (T *info)
| Events go on/off hold.
template<typename F >
::efl::eo::signal_connection | callback_image_preloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image has been preloaded.
template<typename T >
void | callback_image_preloaded_call (T *info)
| Image has been preloaded.
template<typename F >
::efl::eo::signal_connection | callback_image_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image resize.
template<typename T >
void | callback_image_resize_call (T *info)
| Image resize.
template<typename F >
::efl::eo::signal_connection | callback_image_unloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename T >
void | callback_image_unloaded_call (T *info)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename F >
::efl::eo::signal_connection | callback_key_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Press Event.
template<typename T >
void | callback_key_down_call (T *info)
| Key Press Event.
template<typename F >
::efl::eo::signal_connection | callback_key_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Release Event.
template<typename T >
void | callback_key_up_call (T *info)
| Key Release Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Down Event.
template<typename T >
void | callback_mouse_down_call (T *info)
| Mouse Button Down Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse In Event.
template<typename T >
void | callback_mouse_in_call (T *info)
| Mouse In Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Move Event.
template<typename T >
void | callback_mouse_move_call (T *info)
| Mouse Move Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Out Event.
template<typename T >
void | callback_mouse_out_call (T *info)
| Mouse Out Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Up Event.
template<typename T >
void | callback_mouse_up_call (T *info)
| Mouse Button Up Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_wheel_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Wheel Event.
template<typename T >
void | callback_mouse_wheel_call (T *info)
| Mouse Wheel Event.
template<typename F >
::efl::eo::signal_connection | callback_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Move Event.
template<typename T >
void | callback_move_call (T *info)
| Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Down Event.
template<typename T >
void | callback_multi_down_call (T *info)
| Mouse-touch Down Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Multi-touch Move Event.
template<typename T >
void | callback_multi_move_call (T *info)
| Multi-touch Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Up Event.
template<typename T >
void | callback_multi_up_call (T *info)
| Mouse-touch Up Event.
template<typename F >
::efl::eo::signal_connection | callback_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Resize Event.
template<typename T >
void | callback_resize_call (T *info)
| Resize Event.
template<typename F >
::efl::eo::signal_connection | callback_restack_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Restack Event.
template<typename T >
void | callback_restack_call (T *info)
| Restack Event.
template<typename F >
::efl::eo::signal_connection | callback_show_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Show Event.
template<typename T >
void | callback_show_call (T *info)
| Show Event.
| box (::efl::eo::parent_type _p)
| Constructs a new evas::box object. More...
Public Member Functions inherited from efl::eo::concrete
| concrete (Eo *eo)
| Class constructor. More...
| concrete ()
| Default constructor. More...
| ~concrete ()
| Class destructor.
| concrete (concrete const &other)
| concrete (concrete &&other)
concrete & | operator= (concrete const &other)
| Assignment operator.
concrete & | operator= (concrete &&other)
Eo * | _eo_ptr () const
| Return a pointer to the EO Object stored in this instance. More...
Eo * | _release ()
| Releases the reference from this concrete object and return the pointer to the EO Object stored in this instance. More...
void | _reset (Eo *_ptr=nullptr)
| Reset the current pointer to reference a new Eo object.
int | ref_get () const
| Get the reference count of this object. More...
void | parent_set (concrete parent)
| Set the parent of this object. More...
eina::optional< concrete > | parent_get ()
| Get the parent of this object. More...
Eo_Dbg_Info | dbg_info_get ()
| Get debug information of this object. More...
| operator bool () const
Public Member Functions inherited from efl::gfx::base
| base (Eo *eo)
| Eo Constructor. More...
| base (std::nullptr_t)
| nullptr_t Constructor. More...
| base (base const &other)
| Copy Constructor.
void | position_get (int *x_, int *y_) const
| Retrieves the position of the given Evas object. More...
void | position_set (int x_, int y_) const
| Move the given Evas object to the given location inside its canvas' viewport. More...
void | size_get (int *w_, int *h_) const
| Retrieves the (rectangular) size of the given Evas object. More...
void | size_set (int w_, int h_) const
| Changes the size of the given Evas object. More...
void | color_get (int *r_, int *g_, int *b_, int *a_) const
| Retrieves the general/main color of the given Evas object. More...
void | color_set (int r_, int g_, int b_, int a_) const
| Sets the general/main color of the given Evas object to the given one. More...
bool | color_part_get (::efl::eina::string_view part_, int *r_, int *g_, int *b_, int *a_) const
| Retrieves a specific color of the given Evas object. More...
bool | color_part_set (::efl::eina::string_view part_, int r_, int g_, int b_, int a_) const
| Sets a specifc color of the given Efl.Gfx.Base object to the given one. More...
bool | visible_get () const
| Retrieves whether or not the given Evas object is visible. More...
void | visible_set (bool v_) const
| Makes the given Evas object visible or invisible. More...
| base (::efl::eo::parent_type _p)
| Constructs a new efl::gfx::base object. More...
Public Member Functions inherited from efl::gfx::stack
| stack (Eo *eo)
| Eo Constructor. More...
| stack (std::nullptr_t)
| nullptr_t Constructor. More...
| stack (stack const &other)
| Copy Constructor.
void | stack_below (Efl_Gfx_Stack *below_) const
| Stack `obj` immediately below `below`. More...
void | raise () const
| Raise `obj` to the top of its layer. More...
void | stack_above (Efl_Gfx_Stack *above_) const
| Stack `obj` immediately above `above`. More...
void | lower () const
| Lower `obj` to the bottom of its layer. More...
short | layer_get () const
| Retrieves the layer of its canvas that the given object is part of. More...
void | layer_set (short l_) const
| Sets the layer of its canvas that the given object will be part of. More...
Efl_Gfx_Stack * | below_get () const
| Get the Evas object stacked right below `obj`. More...
Efl_Gfx_Stack * | above_get () const
| Get the Evas object stacked right above `obj`. More...
| stack (::efl::eo::parent_type _p)
| Constructs a new efl::gfx::stack object. More...
Public Member Functions inherited from eo::base
| base (Eo *eo)
| Eo Constructor. More...
| base (std::nullptr_t)
| nullptr_t Constructor. More...
| base (base const &other)
| Copy Constructor.
void | event_callback_forwarder_del (const Eo_Event_Description *desc_,::efl::eo::concrete new_obj_) const
| Remove an event callback forwarder for an event and an object. More...
void | event_thaw () const
| thaw events of object. More...
void | event_freeze () const
| freeze events of object. More...
void | event_callback_array_del (const Eo_Callback_Array_Item *array_, const void *user_data_) const
| Del a callback array with a specific data associated to it for an event. More...
void | wref_del (Eo **wref_) const
| Delete the weak reference passed. More...
void | destructor () const
| Call the object's destructor. More...
::efl::eo::concrete | finalize () const
| Called at the end of #eo_add. More...
void | key_data_set (::efl::eina::string_view key_, const void *data_, eo_key_data_free_func free_func_) const
| Set generic data to object. More...
void * | key_data_get (::efl::eina::string_view key_) const
| Get generic data from object. More...
void | event_callback_del (const Eo_Event_Description *desc_, Eo_Event_Cb func_, const void *user_data_) const
| Del a callback with a specific data associated to it for an event. More...
void | key_data_del (::efl::eina::string_view key_) const
| Del generic data from object. More...
void | event_callback_array_priority_add (const Eo_Callback_Array_Item *array_, Eo_Callback_Priority priority_, const void *data_) const
| Add a callback array for an event with a specific priority. More...
void | wref_add (::efl::eo::concrete *wref_) const
| Add a new weak reference to obj. More...
void | dbg_info_get (Eo_Dbg_Info *root_node_) const
| Get dbg information from the object. More...
void | event_callback_forwarder_add (const Eo_Event_Description *desc_,::efl::eo::concrete new_obj_) const
| Add an event callback forwarder for an event and an object. More...
bool | event_callback_call (const Eo_Event_Description *desc_, void *event_info_) const
| Call the callbacks for an event of an object. More...
void | event_callback_priority_add (const Eo_Event_Description *desc_, Eo_Callback_Priority priority_, Eo_Event_Cb cb_, const void *data_) const
| Add a callback for an event with a specific priority. More...
Eina_Iterator * | children_iterator_new () const
| Get an iterator on all childrens.
bool | composite_attach (::efl::eo::concrete comp_obj_) const
bool | composite_detach (::efl::eo::concrete comp_obj_) const
bool | composite_part_is () const
::efl::eo::concrete | parent_get () const
| Get the parent of an object. More...
void | parent_set (::efl::eo::concrete parent_) const
| Set the parent of an object Parents keep references to their children so in order to delete objects that have parents you need to set parent to NULL or use eo_del() that does that for you (and also unrefs the object). More...
int | event_global_freeze_count_get () const
| return freeze events of object. More...
int | event_freeze_count_get () const
| return freeze events of object. More...
bool | finalized_get () const
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was added.
template<typename T >
void | callback_callback_add_call (T *info)
| A callback was added.
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was deleted.
template<typename T >
void | callback_callback_del_call (T *info)
| A callback was deleted.
template<typename F >
::efl::eo::signal_connection | callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Obj is being deleted.
template<typename T >
void | callback_del_call (T *info)
| Obj is being deleted.
| base (::efl::eo::parent_type _p)
| Constructs a new eo::base object. More...
Public Member Functions inherited from evas::common_interface
| common_interface (Eo *eo)
| Eo Constructor. More...
| common_interface (std::nullptr_t)
| nullptr_t Constructor. More...
| common_interface (common_interface const &other)
| Copy Constructor.
Evas * | evas_get () const
| No description supplied by the EAPI. More...
| common_interface (::efl::eo::parent_type _p)
| Constructs a new evas::common_interface object. More...
Public Member Functions inherited from evas::object
| object (Eo *eo)
| Eo Constructor. More...
| object (std::nullptr_t)
| nullptr_t Constructor. More...
| object (object const &other)
| Copy Constructor.
bool | clipees_has () const
| Test if any object is clipped by `obj`. More...
bool | key_grab (::efl::eina::string_view keyname_, Evas_Modifier_Mask modifiers_, Evas_Modifier_Mask not_modifiers_, bool exclusive_) const
| Requests `keyname` key events be directed to `obj`. More...
bool | smart_type_check (::efl::eina::string_view type_) const
| Checks whether a given smart object or any of its smart object parents is of a given smart class. More...
::evas::object | name_child_find (::efl::eina::string_view name_, int recurse_) const
| Retrieves the object from children of the given object with the given name. More...
void | key_ungrab (::efl::eina::string_view keyname_, Evas_Modifier_Mask modifiers_, Evas_Modifier_Mask not_modifiers_) const
| Removes the grab on `keyname` key events by `obj`. More...
void | clip_unset () const
| Disable/cease clipping on a clipped `obj` object. More...
void | smart_move_children_relative (Evas_Coord dx_, Evas_Coord dy_) const
| Moves all children objects of a given smart object relative to a given offset. More...
bool | smart_type_check_ptr (::efl::eina::string_view type_) const
| Checks whether a given smart object or any of its smart object parents is of a given smart class, using pointer comparison. More...
void | size_hint_max_get (Evas_Coord *w_, Evas_Coord *h_) const
| Retrieves the hints for an object's maximum size. More...
void | size_hint_max_set (Evas_Coord w_, Evas_Coord h_) const
| Sets the hints for an object's maximum size. More...
void | size_hint_request_get (Evas_Coord *w_, Evas_Coord *h_) const
| Retrieves the hints for an object's optimum size. More...
void | size_hint_request_set (Evas_Coord w_, Evas_Coord h_) const
| Sets the hints for an object's optimum size. More...
::efl::eina::string_view | type_get () const
| Retrieves the type of the given Evas object. More...
void | type_set (::efl::eina::string_view type_) const
| Sets the type of the given Evas object. More...
void | size_hint_min_get (Evas_Coord *w_, Evas_Coord *h_) const
| Retrieves the hints for an object's minimum size. More...
void | size_hint_min_set (Evas_Coord w_, Evas_Coord h_) const
| Sets the hints for an object's minimum size. More...
Evas_Object_Pointer_Mode | pointer_mode_get () const
| Determine how pointer will behave. More...
void | pointer_mode_set (Evas_Object_Pointer_Mode pointer_mode_) const
| Set pointer behavior. More...
Evas_Render_Op | render_op_get () const
| Retrieves the current value of the operation used for rendering the Evas object. More...
void | render_op_set (Evas_Render_Op render_op_) const
| Sets the render_op to be used for rendering the Evas object. More...
bool | freeze_events_get () const
| Determine whether an object is set to freeze (discard) events. More...
void | freeze_events_set (bool freeze_) const
| Set whether an Evas object is to freeze (discard) events. More...
const Evas_Map * | map_get () const
| Get current object transformation map. More...
void | map_set (const Evas_Map *map_) const
| Set current object transformation map. More...
void | size_hint_aspect_get (Evas_Aspect_Control *aspect_, Evas_Coord *w_, Evas_Coord *h_) const
| Retrieves the hints for an object's aspect ratio. More...
void | size_hint_aspect_set (Evas_Aspect_Control aspect_, Evas_Coord w_, Evas_Coord h_) const
| Sets the hints for an object's aspect ratio. More...
::evas::object | clip_get () const
| Get the object clipping `obj` (if any). More...
void | clip_set (::evas::object clip_) const
| Clip one object to another. More...
void | size_hint_padding_get (Evas_Coord *l_, Evas_Coord *r_, Evas_Coord *t_, Evas_Coord *b_) const
| Retrieves the hints for an object's padding space. More...
void | size_hint_padding_set (Evas_Coord l_, Evas_Coord r_, Evas_Coord t_, Evas_Coord b_) const
| Sets the hints for an object's padding space. More...
bool | repeat_events_get () const
| Determine whether an object is set to repeat events. More...
void | repeat_events_set (bool repeat_) const
| Set whether an Evas object is to repeat events. More...
void | size_hint_weight_get (double *x_, double *y_) const
| Retrieves the hints for an object's weight. More...
void | size_hint_weight_set (double x_, double y_) const
| Sets the hints for an object's weight. More...
::efl::eina::string_view | name_get () const
| Retrieves the name of the given Evas object. More...
void | name_set (::efl::eina::string_view name_) const
| Sets the name of the given Evas object to the given name. More...
double | scale_get () const
| Retrieves the scaling factor for the given Evas object. More...
void | scale_set (double scale_) const
| Sets the scaling factor for an Evas object. More...
bool | static_clip_get () const
| Get the "static clipper" hint flag for a given Evas object. More...
void | static_clip_set (bool is_static_clip_) const
| Set a hint flag on the given Evas object that it's used as a "static clipper". More...
bool | focus_get () const
| Retrieve whether an object has the focus. More...
void | focus_set (bool focus_) const
| Sets or unsets a given object as the currently focused one on its canvas. More...
bool | is_frame_object_get () const
void | is_frame_object_set (bool is_frame_) const
bool | map_enable_get () const
| Get the map enabled state. More...
void | map_enable_set (bool enabled_) const
| Enable or disable the map that is set. More...
bool | precise_is_inside_get () const
| Determine whether an object is set to use precise point collision detection. More...
void | precise_is_inside_set (bool precise_) const
| Set whether to use precise (usually expensive) point collision detection for a given Evas object. More...
void | size_hint_align_get (double *x_, double *y_) const
| Retrieves the hints for on object's alignment. More...
void | size_hint_align_set (double x_, double y_) const
| Sets the hints for an object's alignment. More...
bool | propagate_events_get () const
| Retrieve whether an Evas object is set to propagate events. More...
void | propagate_events_set (bool propagate_) const
| Set whether events on a smart object's member should get propagated up to its parent. More...
bool | pass_events_get () const
| Determine whether an object is set to pass (ignore) events. More...
void | pass_events_set (bool pass_) const
| Set whether an Evas object is to pass (ignore) events. More...
bool | anti_alias_get () const
| Retrieves whether or not the given Evas object is to be drawn anti_aliased. More...
void | anti_alias_set (bool anti_alias_) const
| Sets whether or not the given Evas object is to be drawn anti-aliased. More...
void * | smart_data_get () const
| Retrieve user data stored on a given smart object. More...
::evas::object | smart_clipped_clipper_get () const
| Get the clipper object for the given clipped smart object. More...
::efl::eina::crange_list< ::evas::object > | clipees_get () const
| Return a list of objects currently clipped by `obj`. More...
::evas::object | smart_parent_get () const
| Gets the parent smart object of a given Evas object, if it has one. More...
Evas_Display_Mode | size_hint_display_mode_get () const
| Retrieves the hints for an object's display mode. More...
void | size_hint_display_mode_set (Evas_Display_Mode dispmode_) const
| Sets the hints for an object's disply mode. More...
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was added.
template<typename T >
void | callback_callback_add_call (T *info)
| A callback was added.
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was deleted.
template<typename T >
void | callback_callback_del_call (T *info)
| A callback was deleted.
template<typename F >
::efl::eo::signal_connection | callback_changed_size_hints_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Size hints changed event.
template<typename T >
void | callback_changed_size_hints_call (T *info)
| Size hints changed event.
template<typename F >
::efl::eo::signal_connection | callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Object Being Deleted (called before Free)
template<typename T >
void | callback_del_call (T *info)
| Object Being Deleted (called before Free)
template<typename F >
::efl::eo::signal_connection | callback_focus_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus In Event.
template<typename T >
void | callback_focus_in_call (T *info)
| Focus In Event.
template<typename F >
::efl::eo::signal_connection | callback_focus_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus Out Event.
template<typename T >
void | callback_focus_out_call (T *info)
| Focus Out Event.
template<typename F >
::efl::eo::signal_connection | callback_free_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Object Being Freed (Called after Del)
template<typename T >
void | callback_free_call (T *info)
| Object Being Freed (Called after Del)
template<typename F >
::efl::eo::signal_connection | callback_hide_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Hide Event.
template<typename T >
void | callback_hide_call (T *info)
| Hide Event.
template<typename F >
::efl::eo::signal_connection | callback_hold_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Events go on/off hold.
template<typename T >
void | callback_hold_call (T *info)
| Events go on/off hold.
template<typename F >
::efl::eo::signal_connection | callback_image_preloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image has been preloaded.
template<typename T >
void | callback_image_preloaded_call (T *info)
| Image has been preloaded.
template<typename F >
::efl::eo::signal_connection | callback_image_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image resize.
template<typename T >
void | callback_image_resize_call (T *info)
| Image resize.
template<typename F >
::efl::eo::signal_connection | callback_image_unloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename T >
void | callback_image_unloaded_call (T *info)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename F >
::efl::eo::signal_connection | callback_key_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Press Event.
template<typename T >
void | callback_key_down_call (T *info)
| Key Press Event.
template<typename F >
::efl::eo::signal_connection | callback_key_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Release Event.
template<typename T >
void | callback_key_up_call (T *info)
| Key Release Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Down Event.
template<typename T >
void | callback_mouse_down_call (T *info)
| Mouse Button Down Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse In Event.
template<typename T >
void | callback_mouse_in_call (T *info)
| Mouse In Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Move Event.
template<typename T >
void | callback_mouse_move_call (T *info)
| Mouse Move Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Out Event.
template<typename T >
void | callback_mouse_out_call (T *info)
| Mouse Out Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Up Event.
template<typename T >
void | callback_mouse_up_call (T *info)
| Mouse Button Up Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_wheel_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Wheel Event.
template<typename T >
void | callback_mouse_wheel_call (T *info)
| Mouse Wheel Event.
template<typename F >
::efl::eo::signal_connection | callback_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Move Event.
template<typename T >
void | callback_move_call (T *info)
| Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Down Event.
template<typename T >
void | callback_multi_down_call (T *info)
| Mouse-touch Down Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Multi-touch Move Event.
template<typename T >
void | callback_multi_move_call (T *info)
| Multi-touch Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Up Event.
template<typename T >
void | callback_multi_up_call (T *info)
| Mouse-touch Up Event.
template<typename F >
::efl::eo::signal_connection | callback_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Resize Event.
template<typename T >
void | callback_resize_call (T *info)
| Resize Event.
template<typename F >
::efl::eo::signal_connection | callback_restack_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Restack Event.
template<typename T >
void | callback_restack_call (T *info)
| Restack Event.
template<typename F >
::efl::eo::signal_connection | callback_show_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Show Event.
template<typename T >
void | callback_show_call (T *info)
| Show Event.
| object (::efl::eo::parent_type _p)
| Constructs a new evas::object object. More...
Public Member Functions inherited from evas::object_smart
| object_smart (Eo *eo)
| Eo Constructor. More...
| object_smart (std::nullptr_t)
| nullptr_t Constructor. More...
| object_smart (object_smart const &other)
| Copy Constructor.
void | show () const
| No description supplied by the EAPI.
void | move (Evas_Coord x_, Evas_Coord y_) const
| No description supplied by the EAPI. More...
bool | callbacks_descriptions_set (const Evas_Smart_Cb_Description *descriptions_) const
| Set an smart object instance's smart callbacks descriptions. More...
void | callbacks_descriptions_get (const Evas_Smart_Cb_Description ***class_descriptions_, unsigned int *class_count_, const Evas_Smart_Cb_Description ***instance_descriptions_, unsigned int *instance_count_) const
| Retrieve an smart object's know smart callback descriptions (both instance and class ones). More...
Eina_Iterator * | iterator_new () const
| Retrieves an iterator of the member objects of a given Evas smart object. More...
void | callback_description_find (::efl::eina::string_view name_, const Evas_Smart_Cb_Description **class_description_, const Evas_Smart_Cb_Description **instance_description_) const
| Find callback description for callback called name. More...
void | hide () const
| No description supplied by the EAPI.
void | calculate () const
| Call the calculate() smart function immediately on a given smart object. More...
void | add () const
| Instantiates a new smart object described by `s`. More...
void | member_add (::evas::object sub_obj_) const
| Set an Evas object as a member of a given smart object. More...
void | resize (Evas_Coord w_, Evas_Coord h_) const
| No description supplied by the EAPI. More...
void | clip_unset () const
| No description supplied by the EAPI.
void | changed () const
| Mark smart object as changed, dirty. More...
void | member_del (::evas::object sub_obj_) const
| Removes a member object from a given smart object. More...
void | del () const
| Deletes a smart object.
void | attach (Evas_Smart *s_) const
| Attach a given smart data to a given smart object. More...
bool | need_recalculate_get () const
| Get the value of the flag signalling that a given smart object needs to get recalculated. More...
void | need_recalculate_set (bool value_) const
| Set or unset the flag signalling that a given smart object needs to get recalculated. More...
void | clip_set (::evas::object clip_) const
| No description supplied by the EAPI. More...
void | color_set (int r_, int g_, int b_, int a_) const
| No description supplied by the EAPI. More...
void | data_set (void *data_) const
| Store a pointer to user data for a given smart object. More...
::efl::eina::range_list< ::evas::object > | members_get () const
| Retrieves the list of the member objects of a given Evas smart object. More...
Evas_Smart * | smart_get () const
| Get the Evas_Smart from which `obj` smart object was created. More...
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was added.
template<typename T >
void | callback_callback_add_call (T *info)
| A callback was added.
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was deleted.
template<typename T >
void | callback_callback_del_call (T *info)
| A callback was deleted.
template<typename F >
::efl::eo::signal_connection | callback_changed_size_hints_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Size hints changed event.
template<typename T >
void | callback_changed_size_hints_call (T *info)
| Size hints changed event.
template<typename F >
::efl::eo::signal_connection | callback_focus_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus In Event.
template<typename T >
void | callback_focus_in_call (T *info)
| Focus In Event.
template<typename F >
::efl::eo::signal_connection | callback_focus_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus Out Event.
template<typename T >
void | callback_focus_out_call (T *info)
| Focus Out Event.
template<typename F >
::efl::eo::signal_connection | callback_free_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Object Being Freed (Called after Del)
template<typename T >
void | callback_free_call (T *info)
| Object Being Freed (Called after Del)
template<typename F >
::efl::eo::signal_connection | callback_hide_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Hide Event.
template<typename T >
void | callback_hide_call (T *info)
| Hide Event.
template<typename F >
::efl::eo::signal_connection | callback_hold_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Events go on/off hold.
template<typename T >
void | callback_hold_call (T *info)
| Events go on/off hold.
template<typename F >
::efl::eo::signal_connection | callback_image_preloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image has been preloaded.
template<typename T >
void | callback_image_preloaded_call (T *info)
| Image has been preloaded.
template<typename F >
::efl::eo::signal_connection | callback_image_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image resize.
template<typename T >
void | callback_image_resize_call (T *info)
| Image resize.
template<typename F >
::efl::eo::signal_connection | callback_image_unloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename T >
void | callback_image_unloaded_call (T *info)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename F >
::efl::eo::signal_connection | callback_key_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Press Event.
template<typename T >
void | callback_key_down_call (T *info)
| Key Press Event.
template<typename F >
::efl::eo::signal_connection | callback_key_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Release Event.
template<typename T >
void | callback_key_up_call (T *info)
| Key Release Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Down Event.
template<typename T >
void | callback_mouse_down_call (T *info)
| Mouse Button Down Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse In Event.
template<typename T >
void | callback_mouse_in_call (T *info)
| Mouse In Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Move Event.
template<typename T >
void | callback_mouse_move_call (T *info)
| Mouse Move Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Out Event.
template<typename T >
void | callback_mouse_out_call (T *info)
| Mouse Out Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Up Event.
template<typename T >
void | callback_mouse_up_call (T *info)
| Mouse Button Up Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_wheel_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Wheel Event.
template<typename T >
void | callback_mouse_wheel_call (T *info)
| Mouse Wheel Event.
template<typename F >
::efl::eo::signal_connection | callback_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Move Event.
template<typename T >
void | callback_move_call (T *info)
| Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Down Event.
template<typename T >
void | callback_multi_down_call (T *info)
| Mouse-touch Down Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Multi-touch Move Event.
template<typename T >
void | callback_multi_move_call (T *info)
| Multi-touch Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Up Event.
template<typename T >
void | callback_multi_up_call (T *info)
| Mouse-touch Up Event.
template<typename F >
::efl::eo::signal_connection | callback_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Resize Event.
template<typename T >
void | callback_resize_call (T *info)
| Resize Event.
template<typename F >
::efl::eo::signal_connection | callback_restack_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Restack Event.
template<typename T >
void | callback_restack_call (T *info)
| Restack Event.
template<typename F >
::efl::eo::signal_connection | callback_show_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Show Event.
template<typename T >
void | callback_show_call (T *info)
| Show Event.
| object_smart (::efl::eo::parent_type _p)
| Constructs a new evas::object_smart object. More...
Public Member Functions inherited from evas::signal_interface
| signal_interface (Eo *eo)
| Eo Constructor. More...
| signal_interface (std::nullptr_t)
| nullptr_t Constructor. More...
| signal_interface (signal_interface const &other)
| Copy Constructor.
| signal_interface (::efl::eo::parent_type _p)
| Constructs a new evas::signal_interface object. More...
Public Member Functions inherited from evas::smart_clipped
| smart_clipped (Eo *eo)
| Eo Constructor. More...
| smart_clipped (std::nullptr_t)
| nullptr_t Constructor. More...
| smart_clipped (smart_clipped const &other)
| Copy Constructor.
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was added.
template<typename T >
void | callback_callback_add_call (T *info)
| A callback was added.
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was deleted.
template<typename T >
void | callback_callback_del_call (T *info)
| A callback was deleted.
template<typename F >
::efl::eo::signal_connection | callback_changed_size_hints_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Size hints changed event.
template<typename T >
void | callback_changed_size_hints_call (T *info)
| Size hints changed event.
template<typename F >
::efl::eo::signal_connection | callback_focus_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus In Event.
template<typename T >
void | callback_focus_in_call (T *info)
| Focus In Event.
template<typename F >
::efl::eo::signal_connection | callback_focus_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus Out Event.
template<typename T >
void | callback_focus_out_call (T *info)
| Focus Out Event.
template<typename F >
::efl::eo::signal_connection | callback_free_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Object Being Freed (Called after Del)
template<typename T >
void | callback_free_call (T *info)
| Object Being Freed (Called after Del)
template<typename F >
::efl::eo::signal_connection | callback_hide_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Hide Event.
template<typename T >
void | callback_hide_call (T *info)
| Hide Event.
template<typename F >
::efl::eo::signal_connection | callback_hold_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Events go on/off hold.
template<typename T >
void | callback_hold_call (T *info)
| Events go on/off hold.
template<typename F >
::efl::eo::signal_connection | callback_image_preloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image has been preloaded.
template<typename T >
void | callback_image_preloaded_call (T *info)
| Image has been preloaded.
template<typename F >
::efl::eo::signal_connection | callback_image_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image resize.
template<typename T >
void | callback_image_resize_call (T *info)
| Image resize.
template<typename F >
::efl::eo::signal_connection | callback_image_unloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename T >
void | callback_image_unloaded_call (T *info)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename F >
::efl::eo::signal_connection | callback_key_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Press Event.
template<typename T >
void | callback_key_down_call (T *info)
| Key Press Event.
template<typename F >
::efl::eo::signal_connection | callback_key_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Release Event.
template<typename T >
void | callback_key_up_call (T *info)
| Key Release Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Down Event.
template<typename T >
void | callback_mouse_down_call (T *info)
| Mouse Button Down Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse In Event.
template<typename T >
void | callback_mouse_in_call (T *info)
| Mouse In Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Move Event.
template<typename T >
void | callback_mouse_move_call (T *info)
| Mouse Move Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Out Event.
template<typename T >
void | callback_mouse_out_call (T *info)
| Mouse Out Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Up Event.
template<typename T >
void | callback_mouse_up_call (T *info)
| Mouse Button Up Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_wheel_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Wheel Event.
template<typename T >
void | callback_mouse_wheel_call (T *info)
| Mouse Wheel Event.
template<typename F >
::efl::eo::signal_connection | callback_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Move Event.
template<typename T >
void | callback_move_call (T *info)
| Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Down Event.
template<typename T >
void | callback_multi_down_call (T *info)
| Mouse-touch Down Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Multi-touch Move Event.
template<typename T >
void | callback_multi_move_call (T *info)
| Multi-touch Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Up Event.
template<typename T >
void | callback_multi_up_call (T *info)
| Mouse-touch Up Event.
template<typename F >
::efl::eo::signal_connection | callback_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Resize Event.
template<typename T >
void | callback_resize_call (T *info)
| Resize Event.
template<typename F >
::efl::eo::signal_connection | callback_restack_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Restack Event.
template<typename T >
void | callback_restack_call (T *info)
| Restack Event.
template<typename F >
::efl::eo::signal_connection | callback_show_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Show Event.
template<typename T >
void | callback_show_call (T *info)
| Show Event.
| smart_clipped (::efl::eo::parent_type _p)
| Constructs a new evas::smart_clipped object. More...

## Static Public Member Functions
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from efl::gfx::base
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from efl::gfx::stack
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from eo::base
static void | event_global_freeze ()
| freeze events of object. More...
static void | event_global_thaw ()
| thaw events of object. More...
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::common_interface
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::object
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::object_smart
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::signal_interface
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::smart_clipped
static Eo_Class const * | _eo_class ()

## Additional Inherited Members
Protected Attributes inherited from efl::eo::concrete
Eo * | _eo_raw
| The opaque EO Object.

## Detailed Description

Class box.

## Constructor & Destructor Documentation

evas::box::box | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new evas::box object.

Constructs a new evas::box object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

evas::box my_box(efl::eo::parent = parent_object);

See also
  box(Eo* eo)

evas::box::box | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

evas::box::box | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

void evas::box::layout_horizontal | ( | Evas_Object_Box_Data * | priv_,
|  | void * | data_
| ) |  | const

Layout function which sets the box o to a (basic) horizontal box.

In this layout, the box object's overall behavior is controlled by its padding/alignment properties, which are set by the `evas_object_box_{h,v}_{align,padding}_set()` family of functions. The size hints of the elements in the box – set by the `evas_object_size_hint_{align,padding,weight}_set()` functions – also control the way this function works.

Box's properties:
  `align_h` controls the horizontal alignment of the child objects relative to the containing box. When set to `0.0`, children are aligned to the left. A value of `1.0` makes them aligned to the right border. Values in between align them proportionally. Note that if the size required by the children, which is given by their widths and the `padding_h` property of the box, is bigger than the their container's width, the children will be displayed out of the box's bounds. A negative value of `align_h` makes the box to justify its children. The padding between them, in this case, is corrected so that the leftmost one touches the left border and the rightmost one touches the right border (even if they must overlap). The `align_v` and `padding_v` properties of the box don't contribute to its behaviour when this layout is chosen.

Child element's properties:
  `align_x` does not influence the box's behavior. `padding_l` and `padding_r` sum up to the container's horizontal padding between elements. The child's `padding_t`, `padding_b` and `align_y` properties apply for padding/alignment relative to the overall height of the box. Finally, there is the `weight_x` property, which, if set to a non-zero value, tells the container that the child width is not pre-defined. If the container can't accommodate all its children, it sets the widths of the ones with weights to sizes as small as they can all fit into it. If the size required by the children is less than the available, the box increases its childrens' (which have weights) widths as to fit the remaining space. The `weight_x` property, besides telling the element is resizable, gives a weight for the resizing process. The parent box will try to distribute (or take off) widths accordingly to the normalized list of weights: most weighted children remain/get larger in this process than the least ones. `weight_y` does not influence the layout.

If one desires that, besides having weights, child elements must be resized bounded to a minimum or maximum size, those size hints must be set, by the `evas_object_size_hint_{min,max}_set()` functions.

Parameters

  priv |
  data |

void evas::box::layout_vertical | ( | Evas_Object_Box_Data * | priv_,
|  | void * | data_
| ) |  | const

Layout function which sets the box o to a (basic) vertical box.

This function behaves analogously to evas_object_box_layout_horizontal(). The description of its behaviour can be derived from that function's documentation.

Parameters

  priv |
  data |

void evas::box::layout_homogeneous_max_size_horizontal | ( | Evas_Object_Box_Data * | priv_,
|  | void * | data_
| ) |  | const

Layout function which sets the box o to a maximum size, homogeneous horizontal box.

In a maximum size, homogeneous horizontal box, besides having cells of equal size reserved for the child objects, this size will be defined by the size of the largest child in the box (in width). The box's overall behavior is controlled by its properties, which are set by the `evas_object_box_{h,v}_{align,padding}_set()` family of functions. The size hints of the elements in the box – set by the `evas_object_size_hint_{align,padding,weight}_set()` functions – also control the way this function works.

Box's properties:
  `padding_h` tells the box to draw empty spaces of that size, in pixels, between the child objects' cells. `align_h` controls the horizontal alignment of the child objects, relative to the containing box. When set to `0.0`, children are aligned to the left. A value of `1.0` lets them aligned to the right border. Values in between align them proportionally. A negative value of `align_h` makes the box to justify its children cells. The padding between them, in this case, is corrected so that the leftmost one touches the left border and the rightmost one touches the right border (even if they must overlap). The `align_v` and `padding_v` properties of the box don't contribute to its behaviour when this layout is chosen.

Child element's properties:
  `padding_l` and `padding_r` sum up to the required width of the child element. The `align_x` property tells the relative position of this overall child width in its allocated cell (`0.0` to extreme left, `1.0` to extreme right). A value of `-1.0` to `align_x` makes the box try to resize this child element to the exact width of its cell (respecting the minimum and maximum size hints on the child's width and accounting for its horizontal padding hints). The child's `padding_t`, `padding_b` and `align_y` properties apply for padding/alignment relative to the overall height of the box. A value of `-1.0` to `align_y` makes the box try to resize this child element to the exact height of its parent (respecting the max hint on the child's height).

Parameters

  priv |
  data |

::evas::object evas::box::internal_remove | ( | ::evas::object | child_ | ) | const

No description supplied by the EAPI.

Parameters

  child |

void evas::box::layout_flow_vertical | ( | Evas_Object_Box_Data * | priv_,
|  | void * | data_
| ) |  | const

Layout function which sets the box o to a flow vertical box.

This function behaves analogously to evas_object_box_layout_flow_horizontal(). The description of its behaviour can be derived from that function's documentation.

Parameters

  priv |
  data |

void evas::box::internal_option_free | ( | Evas_Object_Box_Option * | opt_ | ) | const

No description supplied by the EAPI.

Parameters

  opt |

Evas_Object_Box_Option* evas::box::insert_after | ( | ::evas::object | child_,
|  | const Evas_Object * | reference_
| ) |  | const

Insert a new child object after another existing one, in a given box object o.

Returns
  A box option bound to the recently added box item or `NULL`, on errors

On success, the `"child,added"` smart event will take place.

Note
  This function will fail if `reference` is not a member of `o`.
  The actual placing of the item relative to `o's` area will depend on the layout set to it.
  This call will trigger the box's _Evas_Object_Box_Api.insert_after smart function.

Parameters

  child | A child Evas object to be made a member of `o`
  reference | The child object to place this new one after

bool evas::box::remove_all | ( | bool | clear_ | ) | const

Remove all child objects from a box object, unparenting them again.

Returns
  `EINA_TRUE`, on success, `EINA_FALSE` otherwise

This has the same effect of calling evas_object_box_remove() on each of `o's` child objects, in sequence. If, and only if, all those calls succeed, so does this one.

Parameters

  clear | if true, it will delete just removed children.

Eina_Iterator* evas::box::iterator_new | ( |  | ) | const

Get an iterator to walk the list of children of a given box object.

Returns
  An iterator on `o's` child objects, on success, or `NULL`, on errors

Note
  Do not remove or delete objects while walking the list.

::evas::object evas::box::add_to | ( |  | ) | const

Add a new box as a child of a given smart object.

Returns
  `NULL` on error, a pointer to a new box object on success.

This is a helper function that has the same effect of putting a new box object into `parent` by use of evas_object_smart_member_add().

See also
  evas_object_box_add()

Evas_Object_Box_Option* evas::box::append | ( | ::evas::object | child_ | ) | const

Append a new child object to the given box object o.

Returns
  A box option bound to the recently added box item or `NULL`, on errors

On success, the `"child,added"` smart event will take place.

Note
  The actual placing of the item relative to `o's` area will depend on the layout set to it. For example, on horizontal layouts an item in the end of the box's list of children will appear on its right.
  This call will trigger the box's _Evas_Object_Box_Api.append smart function.

Parameters

  child | A child Evas object to be made a member of `o`

int evas::box::option_property_id_get | ( | ::efl::eina::string_view | name_ | ) | const

Get the numerical identifier of the property of the child elements of the box o which have name as name string.

Returns
  The numerical ID of the given property or `-1`, on errors.

Note
  This call won't do anything for a canonical Evas box. Only users which have subclassed it, setting custom box items options (see Evas_Object_Box_Option) on it, would benefit from this function. They'd have to implement it and set it to be the _Evas_Object_Box_Api.property_id_get smart class function of the box, which is originally set to `NULL`.

Parameters

  name | The name string of the option being searched, for its ID

Evas_Object_Box_Option* evas::box::prepend | ( | ::evas::object | child_ | ) | const

Prepend a new child object to the given box object o.

Returns
  A box option bound to the recently added box item or `NULL`, on errors

On success, the `"child,added"` smart event will take place.

Note
  The actual placing of the item relative to `o's` area will depend on the layout set to it. For example, on horizontal layouts an item in the beginning of the box's list of children will appear on its left.
  This call will trigger the box's _Evas_Object_Box_Api.prepend smart function.

Parameters

  child | A child Evas object to be made a member of `o`

Eina_Accessor* evas::box::accessor_new | ( |  | ) | const

Get an accessor (a structure providing random items access) to the list of children of a given box object.

Returns
  An accessor on `o's` child objects, on success, or `NULL`, on errors

Note
  Do not remove or delete objects while walking the list.

Evas_Object_Box_Option* evas::box::internal_append | ( | ::evas::object | child_ | ) | const

No description supplied by the EAPI.

Parameters

  child |

bool evas::box::option_property_vset | ( | Evas_Object_Box_Option * | opt_,
|  | int | property_,
|  | va_list * | args_
| ) |  | const

Set a property value (by its given numerical identifier), on a given box child element – by a variable argument list.

Returns
  `EINA_TRUE` on success, `EINA_FALSE` on failure.

This is a variable argument list variant of the evas_object_box_option_property_set(). See its documentation for more details.

Parameters

  opt | The box option structure bound to the child box element to set a property on
  property | The numerical ID of the given property
  args | The variable argument list implementing the value to be set for this property. It must be of the same type the user has defined for it.

::evas::object evas::box::internal_remove_at | ( | unsigned int | pos_ | ) | const

No description supplied by the EAPI.

Parameters

  pos |

bool evas::box::remove_at | ( | unsigned int | pos_ | ) | const

Remove an object, bound to a given position in a box object, unparenting it again.

Returns
  `EINA_TRUE`, on success, `EINA_FALSE` otherwise

On removal, you'll get an unparented object again, just as it was before you inserted it in the box. The `option_free()` box smart callback will be called automatically for you and, also, the `"child,removed"` smart event will take place.

Note
  This function will fail if the given position is invalid, given `o's` internal list of elements.
  This call will trigger the box's _Evas_Object_Box_Api.remove_at smart function.

Parameters

  pos | The numeric position (starting from `0`) of the child object to be removed

bool evas::box::option_property_vget | ( | Evas_Object_Box_Option * | opt_,
|  | int | property_,
|  | va_list * | args_
| ) |  | const

Get a property's value (by its given numerical identifier), on a given box child element – by a variable argument list.

Returns
  `EINA_TRUE` on success, `EINA_FALSE` on failure.

This is a variable argument list variant of the evas_object_box_option_property_get(). See its documentation for more details.

Parameters

  opt | The box option structure bound to the child box element to get a property from
  property | The numerical ID of the given property
  args | The variable argument list with pointers to where to store the values of this property. They must point to variables of the same type the user has defined for them.

Evas_Object_Box_Option* evas::box::internal_insert_at | ( | ::evas::object | child_,
|  | unsigned int | pos_
| ) |  | const

No description supplied by the EAPI.

Parameters

  child |
  pos |

Evas_Object_Box_Option* evas::box::insert_before | ( | ::evas::object | child_,
|  | const Evas_Object * | reference_
| ) |  | const

Insert a new child object before another existing one, in a given box object o.

Returns
  A box option bound to the recently added box item or `NULL`, on errors

On success, the `"child,added"` smart event will take place.

Note
  This function will fail if `reference` is not a member of `o`.
  The actual placing of the item relative to `o's` area will depend on the layout set to it.
  This call will trigger the box's _Evas_Object_Box_Api.insert_before smart function.

Parameters

  child | A child Evas object to be made a member of `o`
  reference | The child object to place this new one before

::efl::eina::string_view evas::box::option_property_name_get | ( | int | property_ | ) | const

Get the name of the property of the child elements of the box o which have id as identifier.

Returns
  The name of the given property or `NULL`, on errors.

Note
  This call won't do anything for a canonical Evas box. Only users which have subclassed it, setting custom box items options (see Evas_Object_Box_Option) on it, would benefit from this function. They'd have to implement it and set it to be the _Evas_Object_Box_Api.property_name_get smart class function of the box, which is originally set to `NULL`.

Parameters

  property | The numerical identifier of the option being searched, for its name

Evas_Object_Box_Option* evas::box::internal_insert_before | ( | ::evas::object | child_,
|  | const Evas_Object * | reference_
| ) |  | const

No description supplied by the EAPI.

Parameters

  child |
  reference |

void evas::box::layout_homogeneous_horizontal | ( | Evas_Object_Box_Data * | priv_,
|  | void * | data_
| ) |  | const

Layout function which sets the box o to a homogeneous horizontal box.

In a homogeneous horizontal box, its width is divided equally between the contained objects. The box's overall behavior is controlled by its padding/alignment properties, which are set by the `evas_object_box_{h,v}_{align,padding}_set()` family of functions. The size hints the elements in the box – set by the `evas_object_size_hint_{align,padding,weight}_set()` functions – also control the way this function works.

Box's properties:
  `align_h` has no influence on the box for this layout. `padding_h` tells the box to draw empty spaces of that size, in pixels, between the (equal) child objects' cells. The `align_v` and `padding_v` properties of the box don't contribute to its behaviour when this layout is chosen.

Child element's properties:
  `padding_l` and `padding_r` sum up to the required width of the child element. The `align_x` property tells the relative position of this overall child width in its allocated cell (`0.0` to extreme left, `1.0` to extreme right). A value of `-1.0` to `align_x` makes the box try to resize this child element to the exact width of its cell (respecting the minimum and maximum size hints on the child's width and accounting for its horizontal padding hints). The child's `padding_t`, `padding_b` and `align_y` properties apply for padding/alignment relative to the overall height of the box. A value of `-1.0` to `align_y` makes the box try to resize this child element to the exact height of its parent (respecting the maximum size hint on the child's height).

Parameters

  priv |
  data |

Evas_Object_Box_Option* evas::box::internal_option_new | ( | ::evas::object | child_ | ) | const

No description supplied by the EAPI.

Parameters

  child |

void evas::box::layout_homogeneous_max_size_vertical | ( | Evas_Object_Box_Data * | priv_,
|  | void * | data_
| ) |  | const

Layout function which sets the box o to a maximum size, homogeneous vertical box.

This function behaves analogously to evas_object_box_layout_homogeneous_max_size_horizontal(). The description of its behaviour can be derived from that function's documentation.

Parameters

  priv |
  data |

Evas_Object_Box_Option* evas::box::internal_insert_after | ( | ::evas::object | child_,
|  | const Evas_Object * | reference_
| ) |  | const

No description supplied by the EAPI.

Parameters

  child |
  reference |

Evas_Object_Box_Option* evas::box::insert_at | ( | ::evas::object | child_,
|  | unsigned int | pos_
| ) |  | const

Insert a new child object at a given position, in a given box object o.

Returns
  A box option bound to the recently added box item or `NULL`, on errors

On success, the `"child,added"` smart event will take place.

Note
  This function will fail if the given position is invalid, given `o's` internal list of elements.
  The actual placing of the item relative to `o's` area will depend on the layout set to it.
  This call will trigger the box's _Evas_Object_Box_Api.insert_at smart function.

Parameters

  child | A child Evas object to be made a member of `o`
  pos | The numeric position (starting from `0`) to place the new child object at

Evas_Object_Box_Option* evas::box::internal_prepend | ( | ::evas::object | child_ | ) | const

No description supplied by the EAPI.

Parameters

  child |

bool evas::box::remove | ( | ::evas::object | child_ | ) | const

Remove a given object from a box object, unparenting it again.

Returns
  `EINA_TRUE`, on success, `EINA_FALSE` otherwise

On removal, you'll get an unparented object again, just as it was before you inserted it in the box. The _Evas_Object_Box_Api.option_free box smart callback will be called automatically for you and, also, the `"child,removed"` smart event will take place.

Note
  This call will trigger the box's _Evas_Object_Box_Api.remove smart function.

Parameters

  child | The handle to the child object to be removed

void evas::box::layout_stack | ( | Evas_Object_Box_Data * | priv_,
|  | void * | data_
| ) |  | const

Layout function which sets the box o to a stacking box.

In a stacking box, all children will be given the same size – the box's own size – and they will be stacked one above the other, so that the first object in `o's` internal list of child elements will be the bottommost in the stack.

Box's properties:
  No box properties are used.

Child element's properties:
  `padding_l` and `padding_r` sum up to the required width of the child element. The `align_x` property tells the relative position of this overall child width in its allocated cell (`0.0` to extreme left, `1.0` to extreme right). A value of `-1.0` to `align_x` makes the box try to resize this child element to the exact width of its cell (respecting the min and max hints on the child's width and accounting for its horizontal padding properties). The same applies to the vertical axis.

Parameters

  priv |
  data |

void evas::box::layout_homogeneous_vertical | ( | Evas_Object_Box_Data * | priv_,
|  | void * | data_
| ) |  | const

Layout function which sets the box o to a homogeneous vertical box.

This function behaves analogously to evas_object_box_layout_homogeneous_horizontal(). The description of its behaviour can be derived from that function's documentation.

Parameters

  priv |
  data |

void evas::box::layout_flow_horizontal | ( | Evas_Object_Box_Data * | priv_,
|  | void * | data_
| ) |  | const

Layout function which sets the box o to a flow horizontal box.

In a flow horizontal box, the box's child elements are placed in rows (think of text as an analogy). A row has as much elements as can fit into the box's width. The box's overall behavior is controlled by its properties, which are set by the `evas_object_box_{h,v}_{align,padding}_set()` family of functions. The size hints of the elements in the box – set by the `evas_object_size_hint_{align,padding,weight}_set()` functions – also control the way this function works.

Box's properties:
  `padding_h` tells the box to draw empty spaces of that size, in pixels, between the child objects' cells. `align_h` dictates the horizontal alignment of the rows (`0.0` to left align them, `1.0` to right align). A value of `-1.0` to `align_h` lets the rows justified horizontally. `align_v` controls the vertical alignment of the entire set of rows (`0.0` to top, `1.0` to bottom). A value of `-1.0` to `align_v` makes the box to justify the rows vertically. The padding between them, in this case, is corrected so that the first row touches the top border and the last one touches the bottom border (even if they must overlap). `padding_v` has no influence on the layout.

Child element's properties:
  `padding_l` and `padding_r` sum up to the required width of the child element. The `align_x` property has no influence on the layout. The child's `padding_t` and `padding_b` sum up to the required height of the child element and is the only means (besides row justifying) of setting space between rows. Note, however, that `align_y` dictates positioning relative to the largest height required by a child object in the actual row.

Parameters

  priv |
  data |

void evas::box::align_get | ( | double * | horizontal_,
|  | double * | vertical_
| ) |  | const

Get the alignment of the whole bounding box of contents, for a given box object.

See also
  evas_object_box_align_set() for more information

Parameters

  horizontal | The horizontal alignment, in pixels
  vertical | the vertical alignment, in pixels

void evas::box::align_set | ( | double | horizontal_,
|  | double | vertical_
| ) |  | const

Set the alignment of the whole bounding box of contents, for a given box object.

This will influence how a box object is to align its bounding box of contents within its own area. The values must be in the range `0.0` - `1.0`, or undefined behavior is expected. For horizontal alignment, `0.0` means to the left, with `1.0` meaning to the right. For vertical alignment, `0.0` means to the top, with `1.0` meaning to the bottom.

Note
  The default values for both alignments is `0.5`.

See also
  evas_object_box_align_get()

Parameters

  horizontal | The horizontal alignment, in pixels
  vertical | the vertical alignment, in pixels

void evas::box::padding_get | ( | Evas_Coord * | horizontal_,
|  | Evas_Coord * | vertical_
| ) |  | const

Get the (space) padding between cells set for a given box object.

See also
  evas_object_box_padding_set()

Parameters

  horizontal | The horizontal padding, in pixels
  vertical | the vertical padding, in pixels

void evas::box::padding_set | ( | Evas_Coord | horizontal_,
|  | Evas_Coord | vertical_
| ) |  | const

Set the (space) padding between cells set for a given box object.

Note
  The default values for both padding components is `0`.

See also
  evas_object_box_padding_get()

Parameters

  horizontal | The horizontal padding, in pixels
  vertical | the vertical padding, in pixels

void evas::box::layout_set | ( | Evas_Object_Box_Layout | cb_,
|  | const void * | data_,
|  | Eina_Free_Cb | free_data_
| ) |  | const

Set a new layouting function to a given box object.

A box layout function affects how a box object displays child elements within its area. The list of pre-defined box layouts available in Evas is:

- evas_object_box_layout_horizontal()
- evas_object_box_layout_vertical()
- evas_object_box_layout_homogeneous_horizontal()
- evas_object_box_layout_homogeneous_vertical()
- evas_object_box_layout_homogeneous_max_size_horizontal()
- evas_object_box_layout_homogeneous_max_size_vertical()
- evas_object_box_layout_flow_horizontal()
- evas_object_box_layout_flow_vertical()
- evas_object_box_layout_stack()

Refer to each of their documentation texts for details on them.

Note
  A box layouting function will be triggered by the `'calculate'` smart callback of the box's smart class.

Parameters

  cb | The new layout function to set on `o`.
  data | Data pointer to be passed to `cb`.
  free_data | Function to free `data`, if need be.